import logging

class LogHandler(logging.StreamHandler):

    def __init__(self)-> None:
        logging.Handler.__init__(self=self)
    
    def emit(self, record) -> None:
        print("emit", record)
    
    def handle(self, record) -> None:
        print("@ handle",record)
    